%global momorel 2

%global xfcever 4.13
%global xfce4ver 4.13.0

Name:           libxfce4ui
Version:        4.13.4
Release:        %{momorel}m%{?dist}
Summary:        Commonly used Xfce widgets

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://xfce.org/
Source0:	http://archive.xfce.org/src/xfce/%{name}/4.13/%{name}-%{version}.tar.bz2
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## Downstream patches
# add more keyboard shortcuts to make multimedia keyboards work out of the box
# Terminal changed to xfce4-terminal in the patch
Patch10:        libxfce4ui-4.12.1-keyboard-shortcuts.patch

#BuildRequires:  glib2-devel >= 2.12.0
#BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  gtk3-devel
BuildRequires:  libSM-devel
# FIXME: replace 4.6.0 with %{xfceversion} or %{version} once this is stable
BuildRequires:  libxfce4util-devel >= %{xfce4ver}
BuildRequires:  xfconf-devel >= %{xfce4ver}
BuildRequires:  startup-notification-devel >= 0.4
BuildRequires:  gettext
BuildRequires:  intltool

# libxfcegui4 has been obsolete 
#Provides:       libxfcegui4 = %{version}
#Obsoletes:      libxfcegui4 < %{version}

%description
Libxfce4ui is used to share commonly used Xfce widgets among the Xfce
applications.


%package -n     xfce4-about
Summary:        Xfce 4 'About' dialog
Group:          User Interface/Desktops

%description -n xfce4-about
This package contains the 'About Xfce' dialog with info on the desktop
environment, it's contributors, and it's licensing.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       libxfce4util-devel
Requires:       glade-devel >= 3.22
Requires:       gtk-doc
Requires:       pkgconfig

# libxfcegui4 has been obsolete 
#Provides:       libxfcegui4-devel = %{version}
#Obsoletes:      libxfcegui4-devel < %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch10 -p1

%build
%configure --enable-gtk-doc --disable-static --enable-gtk3
# Remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# The LD_LIBRARY_PATH hack is needed for --enable-gtk-doc
# because lt-libxfce4ui-scan is linked against libxfce4ui
export LD_LIBRARY_PATH=$( pwd )/libxfce4ui/.libs

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# fix permissions for installed libraries
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*.so

find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}

# Move xfce4-about to the 'Documentation' category
desktop-file-install \
  --delete-original \
  --remove-category=X-Xfce-Toplevel \
  --add-category=Documentation \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/xfce4-about.desktop


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_libdir}/*.so.*

%files -n xfce4-about
%{_bindir}/xfce4-about
%{_datadir}/applications/xfce4-about.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce4-logo.png

%files devel
%defattr(-,root,root,-)
%doc TODO
%{_includedir}/xfce4/libxfce4kbd-private-2
%{_includedir}/xfce4/libxfce4kbd-private-3
%{_includedir}/xfce4/libxfce4ui-1
%{_includedir}/xfce4/libxfce4ui-2
%{_libdir}/*.so
%{_libdir}/girepository-1.0/libxfce4ui-2.0.typelib
%{_libdir}/glade/modules/libxfce4uiglade2.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/applications/xfce4-about.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce4-logo.png
%{_datadir}/gir-1.0/libxfce4ui-2.0.gir
%{_datadir}/glade/catalogs/libxfce4ui-2.xml
%{_datadir}/vala/vapi/%{name}-2.*

%changelog
* Fri Apr 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.13.4-2m)
- rebuild against glade-3.22

* Sat Dec 23 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.13.4-1m)
- update to 4.13.4

* Sat Jul 22 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.13.3-1m)
- update to 4.13.3

* Thu Apr 23 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.12.1-2m)
- add Patch10 from fc22

* Mon Mar 16 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.12.1-1m)
- update to 4.12.1

* Tue Mar  3 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.12.0-2m)
- enable build with gtk3

* Sun Mar  1 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.12.0-1m)
- update to 4.12.0

* Fri Feb 20 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.11.2-1m)
- update to 4.11.2

* Tue Nov  4 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.11.1-2m)
- remove Requires: libxfce4gui
- obsolete libxfce4gui

* Sun Apr 20 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.11.1-1m)
- update to 4.11.1

* Sun Jan  5 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.11.0-1m)
- update to 4.11.0

* Wed Sep  5 2012 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.10.0-1m)
- update to versin 4.10.0

* Sat Jul  7 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.9.0-3m)
- rebuild for glade-devel

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.9.0-2m)
- rebuild for glib 2.33.2

* Wed Mar 21 2012 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.9.0-1m)
- update to 4.9 for exo
- update Patch0

* Sat Sep 17 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.8.0-2m)
- goodbye glade3 modules

* Tue May  3 2011 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.8.0-1m)
- update to xfce4 4.8

* Sun May  1 2011 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.7.5-1m)
- update to 4.7.5
- update to xfce4 4.8pre2
- update Patch0:         libxfce4ui-4.7.5-keyboard-shortcuts.patch

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.7.2-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.7.2-4m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7.2-3m)
- full rebuild for mo7 release

* Fri Aug 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.7.2-2m)
- modify %%files

* Mon Aug  9 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.7.2-1m)
- import from Fedora to Momonga

* Tue Jul 27 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.7.2-2
- Fix file conflict with libxfce4gui (#618719)

* Fri May 21 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.7.2-1
- Update to 4.7.2

* Wed May 19 2010 Kevin Fenzi <kevin@tummy.com> - 4.7.1-3
- Rebuild for new glade version. 

* Tue Jan 12 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.7.1-2
- Fix license tag
- Build gtk-doc

* Tue Jan 05 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.7.1-1
- Initial spec file, based on libxfcegui4.spec

